Create RICAL
Creates a Reader Identity Certificate Authority List (RICAL) based on the policy of the requested ecosystem.
A RICAL configuration is required in order for RICALs to be created.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>ecosystemId*stringThe UUID of the ecosystem
uuidRICAL created
application/json- response
ricalIssueID*integerUnique identifier of a specific RICAL version. This numeric value is continuously increased whenever a RICAL is created.
int32date*stringDate and time of RICAL issuance.
date-timecurl -X POST "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/ricals"{ "ricalIssueID": 1337, "date": "2024-07-28T23:01:13.000Z"}How would you rate this page?
Delete VICAL configuration DELETE
Delete the VICAL configuration for the requested ecosystem
Retrieve all RICALs GET
Retrieves all RICALs available in the requested ecosystem. The response is a JSON list of the published RICALs and their version identifiers. To download an actual RICAL file (a CBOR encoded file matching the RICAL format defined in ISO/IEC 18013-5), call the [Retrieve specific RICAL](#operation/getRical) or [Retrieve latest RICAL](#operation/getLatestRical) endpoint. This endpoint is intended for public consumption, and as such does not require authentication.